TESTING/EIG/zslect.f(3)

NAME
TESTING/EIG/zslect.f

SYNOPSIS

  Functions/Subroutines
logical function zslect (z)
ZSLECT

Function/Subroutine Documentation

  logical function zslect (complex*16 z)

ZSLECT

Purpose:

    !>
    !> ZSLECT returns .TRUE. if the eigenvalue Z is to be selected,
    !> otherwise it returns .FALSE.
    !> It is used by ZCHK41 to test if ZGEES successfully sorts eigenvalues,
    !> and by ZCHK43 to test if ZGEESX successfully sorts eigenvalues.
    !>
    !> The common block /SSLCT/ controls how eigenvalues are selected.
    !> If SELOPT = 0, then ZSLECT return .TRUE. when real(Z) is less than
    !> zero, and .FALSE. otherwise.
    !> If SELOPT is at least 1, ZSLECT returns SELVAL(SELOPT) and adds 1
    !> to SELOPT, cycling back to 1 at SELMAX.
    !>

Parameters
    Z

    !>          Z is COMPLEX*16
    !>          The eigenvalue Z.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 55 of file zslect.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.